Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.security.authentication
Class SessionAuthentication

    java.lang.Object
      org.eclipse.jetty.security.authentication.SessionAuthentication

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, HttpSessionActivationListener, HttpSessionBindingListener, Authentication, Authentication.User

    public class SessionAuthentication

extends java.lang.Object
implements Authentication.User, java.io.Serializable, HttpSessionActivationListener, HttpSessionBindingListener

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jetty.server.Authentication
`Authentication.Challenge, Authentication.Deferred, Authentication.Failure, Authentication.ResponseSent, Authentication.SendSuccess, Authentication.User, Authentication.Wrapped`

Field Summary
`static java.lang.String` | `__J_AUTHENTICATED`

Fields inherited from interface org.eclipse.jetty.server.Authentication
`NOT_CHECKED, SEND_CONTINUE, SEND_FAILURE, SEND_SUCCESS, UNAUTHENTICATED`

Constructor Summary
`SessionAuthentication(java.lang.String method, UserIdentity userIdentity, java.lang.Object credentials)`

Method Summary
`java.lang.String` | `getAuthMethod()`
`UserIdentity` | `getUserIdentity()`
`boolean` | `isUserInRole(UserIdentity.Scope scope, java.lang.String role)`
`void` | `logout()`
`void` | `sessionDidActivate(HttpSessionEvent se)` Notification that the session has just been activated.
`void` | `sessionWillPassivate(HttpSessionEvent se)` Notification that the session is about to be passivated.
`java.lang.String` | `toString()`
`void` | `valueBound(HttpSessionBindingEvent event)` Notifies the object that it is being bound to a session and identifies the session.
`void` | `valueUnbound(HttpSessionBindingEvent event)` Notifies the object that it is being unbound from a session and identifies the session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### __J_AUTHENTICATED

    public static final java.lang.String __J_AUTHENTICATED

See Also:
  Constant Field Values

Constructor Detail

### SessionAuthentication

    public SessionAuthentication(java.lang.String method,
                                 UserIdentity userIdentity,
                                 java.lang.Object credentials)

Method Detail

### getAuthMethod

    public java.lang.String getAuthMethod()

  Specified by:
    `getAuthMethod` in interface `Authentication.User`

### getUserIdentity

    public UserIdentity getUserIdentity()

  Specified by:
    `getUserIdentity` in interface `Authentication.User`

### isUserInRole

    public boolean isUserInRole(UserIdentity.Scope scope,
                                java.lang.String role)

  Specified by:
    `isUserInRole` in interface `Authentication.User`

### logout

    public void logout()

  Specified by:
    `logout` in interface `Authentication.User`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### sessionWillPassivate

    public void sessionWillPassivate(HttpSessionEvent se)

  Description copied from interface: `HttpSessionActivationListener`
  Notification that the session is about to be passivated.

  Specified by:
    `sessionWillPassivate` in interface `HttpSessionActivationListener`

### sessionDidActivate

    public void sessionDidActivate(HttpSessionEvent se)

  Description copied from interface: `HttpSessionActivationListener`
  Notification that the session has just been activated.

  Specified by:
    `sessionDidActivate` in interface `HttpSessionActivationListener`

### valueBound

    public void valueBound(HttpSessionBindingEvent event)

  Description copied from interface: `HttpSessionBindingListener`
  Notifies the object that it is being bound to a session and identifies the session.

  Specified by:
    `valueBound` in interface `HttpSessionBindingListener`
  Parameters:
    `event` - the event that identifies the session
  See Also:
    `HttpSessionBindingListener.valueUnbound(javax.servlet.http.HttpSessionBindingEvent)`

### valueUnbound

    public void valueUnbound(HttpSessionBindingEvent event)

  Description copied from interface: `HttpSessionBindingListener`
  Notifies the object that it is being unbound from a session and identifies the session.

  Specified by:
    `valueUnbound` in interface `HttpSessionBindingListener`
  Parameters:
    `event` - the event that identifies the session
  See Also:
    `HttpSessionBindingListener.valueBound(javax.servlet.http.HttpSessionBindingEvent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.